Skip to main content
GET
Fetch All Token Credit Amount Changes

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

ID
string
required

The id or the vid of the Subscription A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128

Query Parameters

limit
integer<int32>
default:20

A limit on the number of objects to be returned, between 1 and 100.

Required range: 1 <= x <= 100

Response

JSON A list array with a data property that contains an array of up to limit TokenAmounts, starting after the specified starting_after TokenAmount (or ending before the specified ending_before TokenAmount). If no more TokenAmounts are available, the resulting array will be empty. This request should never throw an error.

A list of TokenAmount objects matching the query. Also:

  • “total_count”: Integer count of the number of TokenAmount in the returned list.

  • “url”: The query string provided in the request

object
enum<string>
Available options:
TokenAmount
token
object

The token object provides a way to offer virtual currencies or track the balance of a consumable service item.

amount
integer

The balance of tokens in the grant.

source
string